Module javafx.graphics
Package javafx.scene.layout

# Enum Class BorderRepeat

java.lang.Object
java.lang.Enum<BorderRepeat>
javafx.scene.layout.BorderRepeat

All Implemented Interfaces:
  `Serializable`, `Comparable<BorderRepeat>`, `Constable`

public enum BorderRepeat extends Enum<BorderRepeat>
Enum indicating the repetition rules for border images.

Since:
  JavaFX 8.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`REPEAT`
The image is tiled (repeated) to fill the area.
`ROUND`
The image is tiled (repeated) and rescaled (if necessary) to fill the area with a whole number of tiles.
`SPACE`
The image is tiled (repeated) to fill the area with a whole number of tiles, and any extra space is distributed around the tiles.
`STRETCH`
The image is stretched to fill the area.

## Method Summary

Modifier and Type
Method
Description
`static BorderRepeat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BorderRepeat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STRETCH

public static final BorderRepeat STRETCH
The image is stretched to fill the area.

### REPEAT

public static final BorderRepeat REPEAT
The image is tiled (repeated) to fill the area.

### ROUND

public static final BorderRepeat ROUND
The image is tiled (repeated) and rescaled (if necessary) to fill the area with a whole number of tiles.

### SPACE

public static final BorderRepeat SPACE
The image is tiled (repeated) to fill the area with a whole number of tiles, and any extra space is distributed around the tiles.

## Method Details

### values

public static BorderRepeat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BorderRepeat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null